CK_HT_DESTROY(3)

NAME
ck_ht_destroy - immediately destroy a hash table

LIBRARY
Concurrency Kit (libck, -lck)

SYNOPSIS
#include <ck_ht.h>
void
ck_ht_destroy(ck_ht_t *ht);

DESCRIPTION
The ck_ht_destroy() function will request that the underlying allocator, as specified by the ck_ht_init(3) function, immediately destroy the object pointed to by the ht argument.

The user must guarantee that no threads are accessing the object pointed to by ht when ck_ht_destroy() is called.

RETURN VALUES
ck_ht_destroy() has no return value.

ERRORS
This function is guaranteed not to fail.

SEE ALSO
ck_ht_stat(3), ck_ht_init(3), ck_ht_hash(3), ck_ht_hash_direct(3), ck_ht_set_spmc(3), ck_ht_put_spmc(3), ck_ht_gc(3), ck_ht_get_spmc(3), ck_ht_grow_spmc(3), ck_ht_remove_spmc(3), ck_ht_reset_spmc(3), ck_ht_reset_size_spmc(3), ck_ht_count(3), ck_ht_entry_empty(3), ck_ht_entry_key_set(3), ck_ht_entry_key_set_direct(3), ck_ht_entry_key(3), ck_ht_entry_key_length(3), ck_ht_entry_value(3), ck_ht_entry_set(3), ck_ht_entry_set_direct(3), ck_ht_entry_key_direct(3), ck_ht_entry_value_direct(3), ck_ht_iterator_init(3), ck_ht_next(3)

Additional information available at http://concurrencykit.org/